数据提供商: Crustdata
用于人员搜索字段的允许值列表(Crustdata)
$0.00 / 次调用在 40 秒内响应
列出 Crustdata 人员搜索中一个字段允许的值,包括当前职位、雇主名称、城市、国家、学校、技能等。可按输入的部分字符串匹配;未提供字符串时,按各值出现的频率排序。将返回值原样用于人员搜索筛选,避免使用数据集未收录的值而导致请求被拒绝。每次调用一个字段。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Crustdata endpoint /person/search/autocomplete on Glasser.bash
glasser run -p crustdata -e '/person/search/autocomplete' -i '{"field":"experience.employment_details.current.title","limit":5,"query":"VP"}' --endpoint-version 5使用接口版本 5。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"crustdata","endpoint":"/person/search/autocomplete","input":{"field":"experience.employment_details.current.title","limit":5,"query":"VP"},"endpoint_version":5}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 5,运行前请确认当前价格。
第 2 步尝试一个具体任务
为商品或主题选择分类时,可以审阅可用选项,找到最接近的分类。
复制此提示词到你的 Agent,为商品或主题查找分类。
提示词
Use crustdata:/person/search/autocomplete on Glasser.
Find the category that best matches my product or topic in the returned list.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"field",
"query"
],
"properties": {
"field": {
"type": "string",
"pattern": "^[a-z0-9_]+(\\.[a-z0-9_]+)*$",
"maxLength": 512,
"minLength": 1,
"description": "Dot-path of one person field whose indexed values to list. Common fields: experience.employment_details.current.title, experience.employment_details.current.name (current employer), experience.employment_details.current.seniority_level, experience.employment_details.current.function_category, experience.employment_details.current.company_industries, experience.employment_details.current.company_headcount_range (swap current for past to list past roles), basic_profile.name, basic_profile.headline, basic_profile.languages, basic_profile.location.country, basic_profile.location.state, basic_profile.location.city, education.schools.school, education.schools.degree, education.schools.field_of_study, skills.professional_network_skills, certifications.name, honors.title, open_to_cards, employment_type. Crustdata can accept more fields than this list: https://docs.crustdata.com/person-docs/autocomplete/introduction"
},
"limit": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"query": {
"type": "string",
"maxLength": 200
}
},
"additionalProperties": false
}json
{
"field": "experience.employment_details.current.title",
"limit": 5,
"query": "VP"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.00 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |